Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans
Class TransHopMeta

    java.lang.Object
      org.pentaho.di.trans.TransHopMeta

All Implemented Interfaces:
  Cloneable, Comparable<TransHopMeta>, org.pentaho.di.core.xml.XMLInterface

    public class TransHopMeta

extends Object
implements Cloneable, org.pentaho.di.core.xml.XMLInterface, Comparable<TransHopMeta>

Defines a link between 2 steps in a transformation

Field Summary
`boolean` | `split`
`static String` | `XML_TAG`

Constructor Summary
`TransHopMeta()`
`TransHopMeta(Node hopnode, List<StepMeta> steps)`
`TransHopMeta(Repository rep, long id_trans_hop, List<StepMeta> steps)`
`TransHopMeta(StepMeta from, StepMeta to)`
`TransHopMeta(StepMeta from, StepMeta to, boolean en)`

Method Summary
`Object` | `clone()`
`int` | `compareTo(TransHopMeta obj)` Compare 2 hops.
`boolean` | `equals(Object obj)`
`void` | `flip()`
`StepMeta` | `getFromStep()`
`long` | `getID()`
`StepMeta` | `getToStep()`
`String` | `getXML()`
`boolean` | `hasChanged()`
`boolean` | `isEnabled()`
`void` | `saveRep(Repository rep, long id_transformation)`
`void` | `setChanged()`
`void` | `setChanged(boolean ch)`
`void` | `setEnabled()`
`void` | `setEnabled(boolean en)`
`void` | `setFromStep(StepMeta from)`
`void` | `setID(long id)`
`void` | `setToStep(StepMeta to)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

### split

    public boolean split

Constructor Detail

### TransHopMeta

    public TransHopMeta(StepMeta from,
                        StepMeta to,
                        boolean en)

### TransHopMeta

    public TransHopMeta(StepMeta from,
                        StepMeta to)

### TransHopMeta

    public TransHopMeta(Repository rep,
                        long id_trans_hop,
                        List<StepMeta> steps)
                 throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

### TransHopMeta

    public TransHopMeta()

### TransHopMeta

    public TransHopMeta(Node hopnode,
                        List<StepMeta> steps)
                 throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

Method Detail

### setFromStep

    public void setFromStep(StepMeta from)

### setToStep

    public void setToStep(StepMeta to)

### getFromStep

    public StepMeta getFromStep()

### getToStep

    public StepMeta getToStep()

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(TransHopMeta obj)

  Compare 2 hops.

  Specified by:
    `compareTo` in interface `Comparable<TransHopMeta>`

### getID

    public long getID()

### setID

    public void setID(long id)

### setChanged

    public void setChanged()

### setChanged

    public void setChanged(boolean ch)

### hasChanged

    public boolean hasChanged()

### setEnabled

    public void setEnabled()

### setEnabled

    public void setEnabled(boolean en)

### isEnabled

    public boolean isEnabled()

### flip

    public void flip()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `org.pentaho.di.core.xml.XMLInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD